package top.qaqaq.test;

import org.junit.Test;
import top.qaqaq.pojo.User;
import top.qaqaq.service.UserService;
import top.qaqaq.service.impl.UserServiceImpl;

/**
 * @author RichieZhang
 * @create 2022-12-06 下午 5:45
 */
public class UserServiceTest {

    UserService userService = new UserServiceImpl();

    @Test
    public void registUser(){
        userService.registUser(new User(null,"qqqqq","123456","123456@qq.com"));
        userService.registUser(new User(null,"qq123","123456","123456@qq.com"));
    }

    @Test
    public void login(){
        System.out.println(userService.login(new User(null,"qqqqq","123456",null)));
    }

    @Test
    public void existsUsername(){
        if (userService.existsUsername("qqqqqq")){
            System.out.println("用户名已存在！");
        } else {
            System.out.println("用户名可用！");
        }
    }
}
